header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 20;
  max-width: 100vw;
  /* background-color: var(--accent_100); */
}

#navbar {
  max-height: 72px;
  height: 72px;
  display: flex;
  justify-content: space-between;
  padding: calc(var(--page-space) / 1.5) var(--page-space);
  box-sizing: border-box;
  color: var(--dark);
  max-width: 100vw;
  transition: all 0.3s ease;
}

.logo path {
  fill: black;
}

.nav-scrolled,
.body-scrolled {
  background-color: var(--accent_100) !important;
  transition: all 0.3s ease;
  border-bottom: 1px solid #e3a802;
}

.nav-scrolled .logo path {
  fill: var(--dark);
  transition: all 0.3s ease;
}

.logo {
  display: block;
  left: var(--page-space);
  width: 40px;
}

.menu-note{
  line-height: 1.4;
  margin-bottom: 2rem;
  font-weight: 600;
}

@media screen and (min-width: 2400px) {
  .logo {
    width: 64px;
  }
}

@media screen and (max-width: 1024px) {
  #navbar {
    justify-content: space-between;
    height: 72px;
    background-color: var(--accent_100);
  }

  .logo {
    width: 40px;
  }
}

@media screen and (max-width: 967px) {
  .btn-nav-desktop {
    display: none !important;
  }
}

.action {
  display: flex;
  align-items: center;
}

.row-last .btn-primary {
  margin-right: 1rem;
}

#navbar .underline {
  font-weight: 600;
}


#navbar .btn-primary:hover {
  background-color: var(--accent_100);
}


/* menu */
.menu-icon {
  width: 44px;
  height: 30px;
  background-color: var(--dark);
  border-radius: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  cursor: pointer;
  margin-left: calc(var(--page-space) * 1);
  z-index: 5;
}

.line {
  position: absolute;
  width: 16px;
  height: 2px;
  background-color: var(--light);
  transition: transform 0.3s ease, opacity 0.3s ease;
}

.line1 {
  transform: translateY(-4px);
}

.line2 {
  transform: translateY(4px);
}

.menu-icon.open .line1 {
  transform: translateY(0) rotate(45deg);
}

.menu-icon.open .line2 {
  transform: translateY(0) rotate(-45deg);
}

/* megamenu */
.megamenu {
  position: fixed;
  right: 0;
  top: 0;
  height: 100dvh;
  z-index: 2;
  background-color: var(--accent_50);
  width: 100vw;
  padding: var(--page-space);
  transform: translateX(0%);
  transition: transform 0.5s ease;

  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.menu-row {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

@media screen and (min-width: 967px) {
  .menu-row span, .menu-row a {
    /* font-size: var(--medium-text); */
  }
}

@media screen and (min-width: 1200px) {
  .megamenu {
    width: 30vw;
  }
}

.megamenu.hide {
  transform: translateX(100%);
}

.megamenu span, .menu-row a {
  margin-bottom: 1.5rem;
  transition: all 0.4s ease-in-out;
  cursor: pointer;
  display: inline-block;
  white-space: nowrap;
}

@media screen and (min-width: 1200px) {
  .megamenu span {
    margin-bottom: 2rem;
  }
}

.megamenu span:hover {
  opacity: 0.6;
  transition: all 0.4s ease-in-out;
}

.menu-social{
  display: grid;
  gap: 0.75rem;
  margin-top: 2rem;
}

.menu-social p{
  font-size: var(--small-text);
}